/*
 * Copyright (C) 2011 Giuseppe Calà <jiveaxe@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef CONFIGWIDGET_H
#define CONFIGWIDGET_H

#include "ui_config.h"

class KConfigDialog;

class ConfigWidget : public QWidget
{
        Q_OBJECT
    public:
        ConfigWidget( KConfigDialog *parent );
        ~ConfigWidget();
        
        QString currentLanguage() const;
        void setCurrentLanguage( QString language );

        void setUpdateInterval( uint interval );
        uint updateInterval() const;

        void setSteamId( QString steamId );
        QString steamId() const;
	
	void setShowScrollbars( bool showScrollBars );
        bool showScrollBars() const;

        QWidget *config;

    Q_SIGNALS:
         void enableApply();

    private slots:
        void urlLabelClicked(const QString&);

    private:
        Ui::Config steamcompanionUi;
};

#endif
