/*
 * Copyright (C) 2011 Giuseppe Calà <jiveaxe@gmail.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "dealswidget.h"

#include <QGraphicsLinearLayout>
#include <Plasma/WebView>
#include <QWebPage>
#include <KRun>

DealsWidget::DealsWidget(QGraphicsWidget* parent)
: QGraphicsWidget(parent)
{
    m_layout = new QGraphicsLinearLayout();
    m_layout->setContentsMargins(0, 0, 0, 0);
    m_layout->setSpacing(0);
    m_layout->setSizePolicy(QSizePolicy(QSizePolicy::Expanding, QSizePolicy::Expanding));

    m_webView = new Plasma::WebView(this);
    m_webView->installEventFilter(this);
    m_webView->setSizePolicy(QSizePolicy(QSizePolicy::Expanding, QSizePolicy::Expanding));
    connect(m_webView->page(), SIGNAL(linkClicked(const QUrl&)), this, SLOT(linkActivated(const QUrl&)));
    m_webView->page()->setLinkDelegationPolicy(QWebPage::DelegateAllLinks);
    m_layout->addItem(m_webView);

    setAcceptDrops(true);

    setLayout(m_layout);
    setPreferredSize(370,440);
    setMinimumSize(150, 48);
}

void DealsWidget::linkActivated(const QUrl& link)
{
   KRun::runUrl(KUrl(link), "text/html", 0);
}

#include "dealswidget.moc"
