#include "librarywidget.h"

#include <QGraphicsLinearLayout>
#include <Plasma/WebView>
#include <QWebPage>
#include <KRun>

LibraryWidget::LibraryWidget(QGraphicsWidget* parent)
: QGraphicsWidget(parent)
{
    m_layout = new QGraphicsLinearLayout();
    m_layout->setContentsMargins(0, 0, 0, 0);
    m_layout->setSpacing(0);
    m_layout->setSizePolicy(QSizePolicy(QSizePolicy::Expanding, QSizePolicy::Expanding));

    m_webView = new Plasma::WebView(this);
    m_webView->installEventFilter(this);
    m_webView->setSizePolicy(QSizePolicy(QSizePolicy::Expanding, QSizePolicy::Expanding));
    connect(m_webView->page(), SIGNAL(linkClicked(const QUrl&)), this, SLOT(linkActivated(const QUrl&)));
    m_webView->page()->setLinkDelegationPolicy(QWebPage::DelegateAllLinks);
    m_layout->addItem(m_webView);

    setAcceptDrops(true);

    setLayout(m_layout);
    setPreferredSize(370,440);
    setMinimumSize(150, 48);
}

void LibraryWidget::linkActivated(const QUrl& link)
{
   KRun::runUrl(KUrl(link), "text/html", 0);
}

#include "librarywidget.moc"
